/**
 * This program and the accompanying materials are made available under the terms of the
 * Eclipse Public License v2.0 which accompanies this distribution, and is available at
 * https://www.eclipse.org/legal/epl-v20.html
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Copyright IBM Corporation 2018, 2019
 */

export const fetchDirectoryChildrenData = [{ name: '.sh_history', type: 'file', size: 1276 },
    { name: 'test', type: 'directory', size: 8192 },
    { name: 'hello.txt', type: 'file', size: 57 },
    { name: 'test2', type: 'directory', size: 8192 }];

export const fetchDirectoryChildrenDataResponse = {
    children: fetchDirectoryChildrenData,
};

export const fetchDirectoryChildrenRootData = [
    { name: '.sh_history', type: 'file', size: 2351 },
    { name: '$SYSNAME', type: 'directory', size: 576 },
    { name: '$VERSION', type: 'directory', size: 8192 },
    { name: 'bin', type: 'directory', size: 16384 },
    { name: 'dev', type: 'directory', size: 8192 },
    { name: 'etc', type: 'directory', size: 8192 },
    { name: 'lib', type: 'directory', size: 8192 },
    { name: 'opt', type: 'directory', size: 8192 },
    { name: 'samples', type: 'directory', size: 8192 },
    { name: 'tmp', type: 'directory', size: 16384 },
    { name: 'usr', type: 'directory', size: 8192 },
    { name: 'var', type: 'directory', size: 8192 },
    { name: '...', type: 'directory', size: 256 },
    { name: 'mqm', type: 'directory', size: 352 },
    { name: 'shr', type: 'directory', size: 8192 },
    { name: 'tools', type: 'directory', size: 24576 },
    { name: 'u', type: 'directory', size: 0 },
    { name: 'MV2E', type: 'directory', size: 576 },
    { name: 'MV2F', type: 'directory', size: 608 },
    { name: 'ZOS112', type: 'directory', size: 256 },
    { name: 'ZOS170', type: 'directory', size: 256 },
    { name: 'ZOS180', type: 'directory', size: 256 },
    { name: 'cics', type: 'directory', size: 8192 },
    { name: 'ZOS190', type: 'directory', size: 256 },
    { name: 'java', type: 'directory', size: 16384 },
    { name: 'cicsts', type: 'directory', size: 8192 },
    { name: 'dead.letter', type: 'file', size: 22157 },
    { name: 'ZOS113', type: 'directory', size: 8192 },
    { name: 'ing', type: 'directory', size: 8192 },
    { name: 'netview', type: 'directory', size: 8192 },
    { name: 'ZOS201', type: 'directory', size: 8192 },
    { name: 'insBase', type: 'other', size: 0 },
    { name: 'vndr69a', type: 'directory', size: 8192 },
    { name: '557', type: 'directory', size: 8192 },
    { name: 'CICSIA', type: 'directory', size: 8192 },
    { name: 'liberty_servers', type: 'directory', size: 8192 },
    { name: 'was', type: 'directory', size: 8192 },
    { name: 'WebSphere', type: 'directory', size: 8192 },
    { name: 'applications', type: 'directory', size: 8192 },
    { name: '.ssh', type: 'directory', size: 8192 },
    { name: 'temp', type: 'directory', size: 384 },
    { name: 'bundles', type: 'directory', size: 8192 },
    { name: 'ZOS111', type: 'directory', size: 256 },
    { name: 'itbld', type: 'directory', size: 8192 },
    { name: 'àà¢ î á+î', type: 'file', size: 0 },
    { name: 'àà¢ë&àáâíå', type: 'file', size: 0 },
    { name: 'RAA', type: 'directory', size: 8192 },
    { name: 'db2', type: 'directory', size: 8192 },
    { name: 'rtehome', type: 'directory', size: 8192 },
    { name: 'liberty', type: 'directory', size: 8192 },
    { name: 'ims12', type: 'directory', size: 8192 },
    { name: 'ims13', type: 'directory', size: 8192 },
    { name: 'atlas', type: 'directory', size: 8192 },
    { name: 'DD:STDOUT', type: 'file', size: 0 },
    { name: 'RTCV502', type: 'directory', size: 8192 },
    { name: 'jenkins', type: 'directory', size: 8192 },
];

export const fetchDirectoryChildrenRootDataResponse = {
    children: fetchDirectoryChildrenRootData,
};
